# Installation
> `npm install --save @types/react-pointable`

# Summary
This package contains type definitions for react-pointable (https://github.com/MilllerTime/react-pointable).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-pointable.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-pointable/index.d.ts)
````ts
import * as React from "react";

export type TouchAction = "auto" | "none" | "pan-x" | "pan-y" | "manipulation";

export interface PointableProps extends React.HTMLAttributes<Element>, React.SVGAttributes<Element> {
    tagName?: keyof ElementTagNameMap | undefined;
    touchAction?: TouchAction | undefined;
    elementRef?(el: HTMLElement | SVGElement): void;
}

export default class Pointable extends React.Component<PointableProps> {
    static defaultProps: {
        tagName: "div";
        touchAction: "auto";
    };
}

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 09:09:39 GMT
 * Dependencies: [@types/react](https://npmjs.com/package/@types/react)

# Credits
These definitions were written by [Stefan Fochler](https://github.com/istefo), and [Dibyo Majumdar](https://github.com/mdibyo).
